Problems with shut down and boot (Lenovo T450s)

Bug #1573597 reported by Christopher Barrington-Leigh on 2016-04-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

My Lenovo T450s under Ubuntu 15.10 does not poweroff normally.
Instead, it hangs on "Reached target shutdown". (See image)
Along the way, I believe there is briefly a full page of "drm:gen8_irq_handler [i915] *ERROR* The master control interrupt lied (SDE)!" messages.

If I leave it there for a long time (> 10 minutes?) it does/may actually turn off without me forcing it off, but this makes no difference to the subsequent behaviour. Moreover, if I press Ctrl-Alt-Del fast, many times, I get the "Rebooting immediately" message, but it doesn't.

When I try to boot, I experience the following. It requires at least two reboots to be able to log in:

On the first boot, the Grub page is skipped, and it hangs on the Ubuntu logo with moving dots.
Eventually, I reboot it.
The second time (this is all reproducible), it boots but very slowly. It stalls at "britty.service" and eventually gives me a message
about dev-disk-by , where it waits for 90 seconds before booting.

After that, things proceed to a normal login screen. Behaviour after that is sometimes normal.
This is a 1 month-old computer.

Chris

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-35-generic 4.2.0-35.40
ProcVersionSignature: Ubuntu 4.2.0-35.40-generic 4.2.8-ckt5
Uname: Linux 4.2.0-35-generic x86_64
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: cpbl 3380 F.... pulseaudio
 /dev/snd/controlC0: cpbl 3380 F.... pulseaudio
 /dev/snd/controlC1: cpbl 3380 F.... pulseaudio
CurrentDesktop: Unity
Date: Fri Apr 22 08:42:59 2016
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=e5d0a2bb-27cf-494a-849c-1985d165fbd7
InstallationDate: Installed on 2016-02-12 (69 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
MachineType: LENOVO 20BXCTO1WW
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-35-generic.efi.signed root=UUID=ea2fb511-8d62-4b96-bdaa-4b3f7bf79cc6 ro noprompt quiet splash
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-35-generic N/A
 linux-backports-modules-4.2.0-35-generic N/A
 linux-firmware 1.149.3
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/06/2015
dmi.bios.vendor: LENOVO
dmi.bios.version: JBET54WW (1.19 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20BXCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrJBET54WW(1.19):bd11/06/2015:svnLENOVO:pn20BXCTO1WW:pvrThinkPadT450s:rvnLENOVO:rn20BXCTO1WW:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.name: 20BXCTO1WW
dmi.product.version: ThinkPad T450s
dmi.sys.vendor: LENOVO

Second promised image

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Download full text (5.7 KiB)

I have a series of symptoms of horrid problems with this laptop, so I am going to mention more of them in case they're related. Whenever I undock the laptop from my ultradock, unity-sessions-daemon crashes and either then or some other time, my swap space accumulates 1.2 GB or so of use, even though I have 20GB of RAM and it is mostly not in use.
After, this various other things often don't work and I have to reboot, which leads to the problems filed above.

For instance, right now the swap still shows some usage, which it shouldn't, and choosing to shut down the computer from the taskbar does nothing.

Syslog looks like this, when I tried to shut down twice starting at 10:15:

auth.log:

Apr 22 10:15:40 cpbl-t450s CRON[28881]: pam_unix(cron:session): session closed for user meuser
Apr 22 10:16:02 cpbl-t450s systemd-logind[29988]: System is powering down.

syslog:

Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.175096] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.191432] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.192147] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.192607] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.193837] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.210165] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.210841] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.211297] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.212035] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.214541] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.215014] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.215491] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.215944] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.216641] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.219730] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.220268] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.221543] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)!
Apr 22 10:15:52 cpbl-t450s kernel: [ 5762.222293] [drm:gen8_irq_handler [i915]] *ERROR* The master control interrupt lied (SDE)...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Did this issue start happening after an update/upgrade? Was there a prior kernel version where you were not having this particular problem?

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.6 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-rc6-wily/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete

I have upgraded to 16.04. There are new problems with RAM/swap (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1585598) but shutdown, which didn't work once in recent months on 15.10, works as it should now under 16.04

Update: I take that back, or its reverted: the machine will NOT shut down and, in fact worse than before, after the upgrade there seems to be no way to see the terminal output during shutdown. Pressing ESC during shutdown now gives a blank screen rather than showing what is going wrong.

The machine just keeps showing moving coloured dots on its shutdown screen forever, until I force a power down by holding the power button.

Ah. Pressing Ctrl-Alt-F1 does display some shutdown status messages, though they get strangely duplicated if I flip back and forth.

In any case, shutdown gets to:

[Ok] Stopped D-Bus System Message Bus

and then hangs.

By the way, I tried to install the kernel you suggested and it led to an enormous sequence of crashes / crash reports during the installation.

I have immediately tried to uninstall it.

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers